window.Gleam.initSearch([{"doc":"glevatar","title":"glevatar","content":"# Glevatar\n\n[![Test Status](https://github.com/bunopnu/glevatar/actions/workflows/test.yml/badge.svg)](https://github.com/bunopnu/glevatar/actions/workflows/test.yml)\n[![Package Version](https://img.shields.io/hexpm/v/glevatar)](https://hex.pm/packages/glevatar)\n[![Hex Docs](https://img.shields.io/badge/hex-docs-ffaff3)](https://hexdocs.pm/glevatar/)\n\nEasily create Gravatar URLs in Gleam, supporting both Erlang and JavaScript 🎀\n\n## Installation\n\nTo add the library, simply execute the following command:\n\n```sh\ngleam add glevatar\n```\n\n## Example\n\n```gleam\n&quot;bob@example.com&quot;\n|&gt; glevatar.new()\n|&gt; glevatar.set_size(400)\n|&gt; glevatar.to_string()\n// &quot;https://gravatar.com/avatar/5ff860bf1190596c7188ab851db691f0f3169c453936e9e1eba2f9a47f7a0018?s=400&quot;\n```\n\n## Documentation\n\nConsult the [HexDocs](https://hexdocs.pm/glavatar/) for API reference.\n\n## License\n\nGlevatar is licensed under the MIT license.\n","url":"index.html"},{"doc":"glevatar","title":"DefaultImage","content":"pub type DefaultImage {\n  NotFound\n  MysteryPerson\n  Identicon\n  MonsterId\n  Wavatar\n  Retro\n  Robohash\n  Blank\n  CustomImage(String)\n}\n This type is employed when the provided email address does not correspond to any Gravatar image.\nNotFound\n Signifies that no image should be loaded.\n\nMysteryPerson\n Represents a simple, cartoon-style silhouetted outline of a person.\n\nIdenticon\n Depicts a geometric pattern based on an email hash.\n\nMonsterId\n Denotes a generated &quot;monster&quot; with various colours and facial features.\n\nWavatar\n Represents generated faces with distinct features and backgrounds.\n\nRetro\n Displays artistically generated, 8-bit arcade-style pixelated faces.\n\nRobohash\n Signifies a generated robot with different colours, faces, and so on.\n\nBlank\n Denotes a transparent PNG image.\n\nCustomImage(String)\n Indicates a custom default image fetched from a URL.\n\nSynonyms:\nglevatar.DefaultImage\nglevatar DefaultImage","url":"glevatar.html#DefaultImage"},{"doc":"glevatar","title":"GravatarBuilder","content":"pub type GravatarBuilder =\n  #(String, map.Map(String, String))\n This type defines a Gravatar builder, which should not be manually modified.\n\nSynonyms:\nglevatar.GravatarBuilder\nglevatar GravatarBuilder","url":"glevatar.html#GravatarBuilder"},{"doc":"glevatar","title":"ImageRating","content":"pub type ImageRating {\n  General\n  Parental\n  Restricted\n  Adult\n}\n This type is used for specifying image ratings.\nGeneral\n Suitable for display on all websites.\n\nParental\n May contain mild elements such as rude gestures, provocatively dressed individuals, or mild violence.\n\nRestricted\n May contain stronger elements such as harsh profanity, intense violence, nudity, or hard drug use.\n\nAdult\n May contain explicit content, including hardcore sexual imagery or extremely disturbing violence.\n\nSynonyms:\nglevatar.ImageRating\nglevatar ImageRating","url":"glevatar.html#ImageRating"},{"doc":"glevatar","title":"new","content":"pub fn new(email: String) -&gt; #(String, Map(String, String))\n Create a new `GravatarBuilder` based on an email address.\nSynonyms:\nglevatar.new\nglevatar new","url":"glevatar.html#new"},{"doc":"glevatar","title":"set_default_image","content":"pub fn set_default_image(builder: #(String, Map(String, String)), default: DefaultImage) -&gt; #(\n  String,\n  Map(String, String),\n)\n Set the default image to be used when the provided email address doesn&#39;t match any image.\nSynonyms:\nglevatar.set_default_image\nglevatar set_default_image","url":"glevatar.html#set_default_image"},{"doc":"glevatar","title":"set_rating","content":"pub fn set_rating(builder: #(String, Map(String, String)), rating: ImageRating) -&gt; #(\n  String,\n  Map(String, String),\n)\n Set image rating restrictions.\nSynonyms:\nglevatar.set_rating\nglevatar set_rating","url":"glevatar.html#set_rating"},{"doc":"glevatar","title":"set_size","content":"pub fn set_size(builder: #(String, Map(String, String)), size: Int) -&gt; #(\n  String,\n  Map(String, String),\n)\n Set a specific image size; the default is `80`.\nSynonyms:\nglevatar.set_size\nglevatar set_size","url":"glevatar.html#set_size"},{"doc":"glevatar","title":"to_string","content":"pub fn to_string(builder: #(String, Map(String, String))) -&gt; String\n Convert the `GravatarBuilder` into a Gravatar image URL.\nSynonyms:\nglevatar.to_string\nglevatar to_string","url":"glevatar.html#to_string"},{"doc":"glevatar","title":"to_uri","content":"pub fn to_uri(builder: #(String, Map(String, String))) -&gt; Uri\n Convert the `GravatarBuilder` into an Uri structure.\nSynonyms:\nglevatar.to_uri\nglevatar to_uri","url":"glevatar.html#to_uri"},{"doc":"glevatar","title":"glevatar","content":" Easily create Gravatar URLs in Gleam.","url":"glevatar.html"}]);